/*
 * CPUBase.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include <math.h>
#include <stdint.h>
//
#include "F28335/DSP28x_Project.h"


#include "RUDRIVEFRAMEWORK/DataType.h"
#include "RUDRIVEFRAMEWORK/SystemDefinitions.h"


#ifndef DSP28335_CPUBase_H_
#define DSP28335_CPUBase_H_

namespace DSP28335
{

struct CPUBaseSetup
{
    pGPIO_FUNCTION gpio_setup;
    CPUBaseSetup():
        gpio_setup(0)
    {}
};//CPUBaseSetup


class CPUBase
{
public:
    enum mode_t {UNDEFINED=0, OPERATIONAL=1};
protected:
    mode_t  m_mode;
    bool m_status;
public:
    CPUBase();
public:
    mode_t get_mode() const;
    bool compare(mode_t mode) const;
    //
};// class

} /* namespace DSP28335 */

#endif /* DSP28335_CPUBase_H_ */
