/*
 * CPUTimers.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */


#include "F28335/DSP28x_Project.h"

#include "DSP28335/CPUBase.h"

#ifndef DSP28335_CPUTIMERS_H_
#define DSP28335_CPUTIMERS_H_

namespace DSP28335
{

struct CPUTimersSetup
{
    float frequency;
    float period;
    CPUTimersSetup():
        frequency(150.0),
        period(1000.0)
    {}
};//end CPUTimersSetup


class CPUTimers: public DSP28335::CPUBase
{
public:
    CPUTIMER_VARS& CPUTimer;
public:
    CPUTimers(CPUTIMER_VARS& CPUTimer);
    void setup(const CPUTimersSetup& setup);
public:
    void start();
    void interrupt_ack();
    //
};//end class CPUTimers

} /* namespace DSP28335 */

#endif /* DSP28335_CPUTIMERS_H_ */
